---
title: "Get Channel List"
slug: "get-channel-list"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Channel List

Get/api/v1/channels.list

Lists all the channels in the workspace. Any of the following permissions are required:

- `view-c-room`
- `view-joined-room`

### Changelog

| Version | Description |
| --- | --- |
| 0.49.0 | Count and offset query parameters supported. |
| 0.48.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersoffsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
query

This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter "g": `query={ &quot;name&quot;: { &quot;$regex&quot;: &quot;g&quot; } }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

fieldsstring

This parameter accepts a JSON object with properties that have a value of 1 or 0 to include or exclude them in the response. For example, to only retrieve the usernames of users: `fields={ &quot;username&quot;: 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

sortstring

Sort the channels in ascending (`1`) or descending (`-1`) order. The value must be entered as a JSON object. The options are as follows:

- `name`: Sort by the channel name. For example, `sort={&quot;name&quot;:1}` (this is the default sorting mechanism).
- `ts`: Sort by channel creation timestamp. For example, `sort={&quot;ts&quot;:-1}`
- `usersCount`: Sort by the number of users in the channel. For example, `sort={&quot;usersCount&quot;:1}`

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='7bee00c5-062e-4a12-809f-2c3ec07dbb7e'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='fe331c06-73fa-44ee-9f3a-5a1e87adddb4'>Success</option>
</select>Success

```json
{
  "channels": [
    {
      "_id": "GENERAL",
      "ts": "2024-02-14T14:34:49.365Z",
      "t": "c",
      "name": "general",
      "usernames": [],
      "msgs": 6,
      "usersCount": 6,
      "_updatedAt": "2024-03-26T17:40:18.321Z",
      "u": {
        "_id": "rocket.cat",
        "username": "rocket.cat",
        "name": "Rocket.Cat"
      },
      "default": true
    },
    {
      "_id": "65fd8a6bf581e473b56471ba",
      "fname": "test-channel",
      "_updatedAt": "2024-03-22T13:40:59.620Z",
      "customFields": {},
      "topic": "",
      "broadcast": false,
      "encrypted": false,
      "name": "test-channel",
      "t": "c",
      "msgs": 0,
      "usersCount": 1,
      "u": {
        "_id": "GdEsNbLxzoBgG8XoQ",
        "username": "apiadmin",
        "name": "apiadmin"
      },
      "ts": "2024-03-22T13:40:59.577Z",
      "ro": false,
      "default": false,
      "sysMes": true
    }
  ],
  "count": 2,
  "offset": 0,
  "total": 3,
  "success": true
}
```

Expand Allobject  channels Array of object   object  _idstring    
fnamestring    
customFieldsobject  
topicstring    
broadcastboolean    
encryptedboolean    
namestring    
tstring    
msgsinteger    
usersCountinteger    
uobject  _idstring    
usernamestring    

tsstring    
roboolean    
defaultboolean    
sysMesboolean    
_updatedAtstring    
lastMessageobject  _idstring    
ridstring    
msgstring    
tsstring    
uobject  _idstring    
usernamestring    
namestring    

_updatedAtstring    
urls Array of object   object  
mentions Array of object   object  
channels Array of object   object  
md Array of object   object  typestring    
value Array of object   object  typestring    
valuestring    

groupableboolean    
blocks Array of object   object  typestring    
textobject  typestring    
textstring    

blockIdstring    
appIdstring    
elements Array of object   object  typestring    
textstring    
emojiboolean    

editedAtstring    
editedByobject  _idstring    
usernamestring    

lmstring    
descriptionstring    
federatedboolean    

countinteger    
offsetinteger    
totalinteger    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='0ff51b80-e1ff-4e00-87de-1528f63dce9e'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='7df0faff-29d1-4a16-8c2f-df3d72c7f0f9'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
